DRM_DP_MST_ALLOCATE_(9)

NAME
drm_dp_mst_allocate_vcpi - Allocate a virtual channel

SYNOPSIS

bool drm_dp_mst_allocate_vcpi(struct drm_dp_mst_topology_mgr * mgr, struct drm_dp_mst_port * port, int pbn, int * slots);

ARGUMENTS

mgr
    manager for this port

port
    port to allocate a virtual channel for.

pbn
    payload bandwidth number to request

slots
    returned number of slots for this PBN.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT